const path = require("path");

module.exports = {
  apps: [
    {
      name: "nanami-web",
      script: "server.js",
      cwd: path.join(__dirname, ".next", "standalone"),
      exec_mode: "fork",
      env: {
        NODE_ENV: "production",
        PORT: 3000,
        HOSTNAME: "0.0.0.0",
      },
      instances: 1,
      autorestart: true,
      max_memory_restart: "512M",
    },
  ],
};
